This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 175566 - Review Request: kbibtex - BibTeX Editor for KDE
Review Request: kbibtex - BibTeX Editor for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-12 16:17 EST by Christian Nolte
Modified: 2014-11-24 08:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-12 13:32:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christian Nolte 2005-12-12 16:17:42 EST
Spec Name or Url: 
http://public.fh-wolfenbuettel.de/~noltec/open-source/kbibtex/kbibtex.spec

SRPM Name or Url: 
http://public.fh-wolfenbuettel.de/~noltec/open-source/kbibtex/kbibtex-0.1.3-1.src.rpm

Description: 

I have made an RPM for kbibtex to be reviewed.

KBibTeX is a KDE BiBTeX Editor written by Thomas Fischer. See http://www.unix-ag.uni-kl.de/~fischer/kbibtex

This is my first contribution so I need a sponsor please.
Comment 1 Adrian Reber 2005-12-13 02:55:01 EST
* Source0 needs to specify full URL
* you mix tabs and space so that it looks pretty strange in the browser and in
my editor
* qt-devel is already required by kdebase-devel
* have a look at other KDE/QT spec files in Fedora Extras to see what they do
with  QTDIR and friends
* You don't have to specify "--prefix=%{_prefix}" for %configure
* The icon doesn't show up in the gnome menu; you have to update the icon cache
(see Scriptlets page in wiki)
* the package has to own at least following directories:
%{_datadir}/apps/kbibtexpart/ %{_datadir}/apps/kbibtex/ %{_docdir}/HTML/en/kbibtex/ 
Comment 2 Christian Nolte 2005-12-13 05:08:50 EST
Thank you for reviewing my package. I have fixed the problems. Furthermore I
have added a workaround for the icons which are installed as crystalsvg icons,
which prevents the icons from being visible when some other iconset is used in
gnome. I will contact the author about this issue.

Spec file:
http://public.fh-wolfenbuettel.de/~noltec/open-source/kbibtex/kbibtex.spec

SRPM:
http://public.fh-wolfenbuettel.de/~noltec/open-source/kbibtex/kbibtex-0.1.3-2.src.rpm
Comment 3 Adrian Reber 2005-12-16 04:41:26 EST
This builds in "mock -r fedora-4-i386-core" but not in "mock -r
fedora-development-i386-core".

As the devel branch is the first it is imported into it should build also there.
So it would be great if you change if to build in that branch.

There are now a lot of uncommented lines which make the spec a bit unreadable.
It ould be better, from my point of view, if the unused lines are removed.
General comments are no problem just lines like
"#%{_datadir}/apps/kbibtex/kbibtex_shell.rc" have no real value.
Comment 4 Orion Poplawski 2005-12-16 15:55:11 EST
Are you really getting build errors with development, or just trouble
constructing the root it the first place?  Rawhide is churning a lot lately. 
Today I get a missing dependency for mesa-libGL - won't work until that at least
is rebuilt.
Comment 5 Adrian Reber 2005-12-16 16:29:33 EST
as development is broken I did test it on 5test1:

mock -r fedora-5test1-i386-core kbibtex-0.1.3-2.src.rpm

checking for vsnprintf... yes
checking for snprintf... yes
checking for X... configure: error: Can't find X includes. Please check your
installation and add the correct
 paths!
error: Bad exit status from /var/tmp/rpm-tmp.31289 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.31289 (%build)
Comment 6 Orion Poplawski 2005-12-16 16:44:02 EST
Ah, modular X changes!  In this case I would argue that once your get
sponsorship aproval (Adrian - can you sponsor someone?) that you check in what
you have and request an FC-4 (and possibly FC3 if you want to maintain that)
branch.  Then you can start hacking the devel branch to work with modular X. 
With kdesvn I ended up putting in a patch to configure to completely remove the
configure checks for X includes and libraries as they are now in /usr/include
and /usr/lib (or rather, %{_libdir}!).  

Other possibility is to get upstream to fix admin/acinclude.m4.in or replace
with a newer version before initial checkin.
Comment 7 Christian Nolte 2005-12-21 16:22:57 EST
While I am waiting for a sponsorship, I will definitely try to get this package
working within the devel branch. However, as I am new to these procedures I
first have to get warm with mock & co. 

Comment 8 Christian Nolte 2005-12-23 07:13:34 EST
I have set up a test-box where I have installed the latest FC5-devel
distribution according to
http://fedoraproject.org/wiki/Docs/Drafts/TestingGuide. I have also tested the
kbibtex package on FC5-devel, updated today, without having any of the mentioned
problems. The only thing I've encountered was a compile-error related to GCC
4.1.0 which I have fixed in the RPM.

Perhaps you can verify this with the latest devel-versions.

http://public.fh-wolfenbuettel.de/~noltec/open-source/kbibtex/kbibtex.spec
http://public.fh-wolfenbuettel.de/~noltec/open-source/kbibtex/kbibtex-0.1.3-3.src.rpm
Comment 9 Christian Nolte 2005-12-27 11:25:40 EST
I now did a "mock -r fedora-development-i386-core" and the SRPM works for me.
Comment 10 Adrian Reber 2006-01-10 06:06:13 EST
* builds in mock
* clean installation and removal
* source matches upstream
* patch looks good
* spec looks good
* rpmlint is almost happy:
W: kbibtex dangling-symlink /usr/share/doc/HTML/en/kbibtex/common
/usr/share/doc/HTML/en/common
W: kbibtex symlink-should-be-relative /usr/share/doc/HTML/en/kbibtex/common
/usr/share/doc/HTML/en/common

APPROVED

As soon as you are ready to be sponsored I will do it.
Comment 11 Christian Nolte 2006-01-11 06:31:48 EST
I am ready to be sponsored. I have added a membership request for cvsextras to
my user-account 'noltec'.
Comment 12 Christian Nolte 2006-01-12 13:32:08 EST
This package has been built cleanly within FC-4 and devel branches.
Comment 13 Robin Lee 2014-11-22 02:56:49 EST
Package Change Request
======================
Package Name: kbibtex
New Branches: epel7
Owners: cheeselee
Comment 14 Jon Ciesla 2014-11-24 08:30:58 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.